<style><?php include 'vendor/bootstrap.min.css'; ?></style>
<style><?php include 'css/pgc-style.css'; ?></style>
<div class="wrap">

    <div class="row page-login">
        <div class="col-md-2"></div>
        <div class="col-md-8">
            <div class="head">
                <a href="https://gerarcertificado.com.br" target="_blank">
                    <img class="pgc-logo" src="<?php echo plugins_url( 'images/logo.png', __FILE__ ); ?>"/>
                </a>
            </div>
            <div id="painel-login" class="row"> 
                <div class="col-md-6">         
                    <h1><?php echo __('Para utilizar os serviços do Gerar Certificado você precisa criar uma conta.', 'pgc'); ?></h1><br/>
                    <p><?php echo __('Após a criação e ativação de sua conta no nosso site, através de um processo bem rápido, você já poderá iniciar o uso do seu plugin wordpress.', 'pgc'); ?></p>
                    <p class="small"><?php echo __('Atenção: para utilizar o plugin de forma completa você precisa ter uma conta premium.', 'pgc'); ?></p><br/>
                    <a class="btn btn-primary" href="https://gerarcertificado.com.br/criar-conta.php" target="_blank"><?php echo __('Acessar o site e criar conta', 'pgc'); ?></a>
                </div>
                <div class="col-md-2"></div>
                <div class="col-md-4">
                    <h1><?php echo __('Já tenho uma conta', 'pgc'); ?></h1>
                    <form id="form-login" method="POST" onsubmit="login(jQuery('#pgc-email').val(), jQuery('#pgc-senha').val()); return false;">
                        <input type="hidden" name="logar" value="true"/>
                        <div class="form-group">
                            <label for="pgc-email"><?php echo __('E-mail', 'pgc'); ?></label>
                            <input type="email" class="form-control" id="pgc-email" name="pgc-email" value="">
                        </div>
                        <div class="form-group">
                            <label for="pgc-senha"><?php echo __('Senha', 'pgc'); ?></label>
                            <input type="password" class="form-control" id="pgc-senha" name="pgc-senha">
                        </div>
                        <button type="submit" class="btn btn-primary"><?php echo __('Entrar', 'pgc'); ?></button>
                        <a href="https://gerarcertificado.com.br/esqueci-senha.php" type="button" class="btn btn-link" target="_blank"><?php echo __('Perdi a senha', 'pgc'); ?></a>
                    </form>
                </div>
            </div>
        </div>        
        <div class="col-md-2"></div>
    </div>    

    <div class="row aplicacao">
        <div class="col-md-9">
            <div class="title-abas">
                <h1><?php echo __('Siga os passos para gerar seus certificados', 'pgc'); ?></h1>
            </div>
            <div class="nav-abas">
                <div id="nav-aba-1" class="col-md-3 nav-aba habilitado current" onclick="selecionaPasso(1)">
                    <span id="ok-1" class="dashicons dashicons-yes"></span>
                    <?php echo __('1º - Modelo de certificado', 'pgc'); ?>
                </div>
                <div id="nav-aba-2" class="col-md-3 nav-aba">
                    <span id="ok-2" class="dashicons dashicons-yes"></span>
                    <?php echo __('2º - Dados dos participantes', 'pgc'); ?>
                </div>
                <div id="nav-aba-3" class="col-md-3 nav-aba">
                    <span id="ok-3" class="dashicons dashicons-yes"></span>
                    <?php echo __('3º - Dados do curso', 'pgc'); ?>
                </div>
                <div id="nav-aba-4" class="col-md-3 nav-aba">
                    <span id="ok-4" class="dashicons dashicons-yes"></span>
                    <?php echo __('4º - Gerar os certificados', 'pgc'); ?>
                </div>
            </div>
            <div class="abas">
                <div id="aba-1" class="row aba current">
                    <div class="col-md-12">
                        <h2><?php echo __('Defina o modelo de certificado que vai utilizar', 'pgc'); ?> <span class="label label-default"><?php echo __('Passo 1/4', 'pgc'); ?></span></h2>
                        <p><?php echo __('Você pode escolher entre os modelos pré-definidos ou enviar um modelo seu', 'pgc'); ?></p>
                        <div class="content">
                            <div class="row">
                                <div class="col-md-6 col-sm-12">
                                    <div id="modelos"> 
                                        <h3><?php echo __('Nossos modelos', 'pgc'); ?></h3>   
                                        <div class="certificados"></div>  
                                    </div>
                                </div>
                                <div class="col-md-6 col-sm-12">
                                    <div id="modelos_usuario"> 
                                        <h3><?php echo __('Seus modelos', 'pgc'); ?></h3>
                                        <p><?php echo __('Podendo incluir', 'pgc'); ?> <strong><?php echo __('Logos e assinaturas', 'pgc'); ?></strong></p>   
                                        <div class="certificados"></div>
                                        <a id="btn-cadastro-modelo" class="btn btn-warning" onclick="informarCadastroModelo();"><?php echo __('Incluir um modelo personalizado', 'pgc'); ?></a>
                                        <form id="form-novo-modelo" enctype="multipart/form-data" method="POST" onsubmit="criaModeloNovo(); return false;">
                                            <hr/>    
                                            <p>
                                                <strong><?php echo __('Você pode enviar qualquer modelo de certificado, mas atenção às especificações técnicas:', 'pgc'); ?></strong>
                                                <ul>
                                                    <li><?php echo __('O arquivo deve ser enviado em formato <strong>jpg</strong>', 'pgc'); ?>;</li>
                                                    <li><?php echo __('O arquivo deve ter no máximo', 'pgc'); ?> <strong>250kb</strong>;</li>
                                                    <li><?php echo __('Tamanho de', 'pgc'); ?> <strong>1811x1299px</strong> <?php echo __(' (paisagem) ou ', 'pgc'); ?> <strong>1299x1811px</strong> <?php echo __(' (retrato). Este é o tamanho recomendável para que seu certificado A4 fique melhor configurado', 'pgc'); ?>;</li>
                                                    <li><?php echo __('Caso deseje', 'pgc'); ?> <strong><?php echo __('incluir logo e assinatura', 'pgc'); ?></strong> <?php echo __('nos certificados, as mesmas devem fazer parte da imagem de modelo que você vai enviar', 'pgc'); ?>.</li>
                                                </ul>
                                            </p>
                                            <div class="form-group">
                                                <input id="input-form-modelo" class="fileupload" name="arquivo" type="file"/>
                                            </div>
                                            <input class="btn btn-primary" type="submit" value="<?php echo __('Enviar modelo', 'pgc'); ?>"/>
                                        </form>
                                    </div>  
                                    <div id="banner-modelo-personalizado">
                                        <img src="<?php echo plugins_url( 'images/img-chamada-modelos.png', __FILE__ ); ?>"/>
                                        <h3><?php echo __('Está sem inspiração?', 'pgc'); ?></h3>
                                        <p><?php echo __('Oferecemos o serviço de criação de modelo de certificado personalizado.', 'pgc'); ?></p>
                                        <a class="btn btn-info" href="https://gerarcertificado.com.br/carrinho-modelo-certificado.php" target="_blank"><?php echo __('Saiba mais e contrate aqui', 'pgc'); ?></a>
                                    </div>
                                </div>
                            </div>                        
                        </div>
                        <div class="acoes">
                            <a class="btn btn-lg btn-primary btn-to-2 desabilitado">
                                <?php echo __('Próximo passo', 'pgc'); ?> <span class="dashicons dashicons-arrow-right-alt2"></span>
                            </a>
                        </div>
                    </div>
                </div>
                <div id="aba-2" class="row aba">
                    <div class="col-md-12">
                        <h2><?php echo __('Informe os dados dos participantes/alunos', 'pgc'); ?> <span class="label label-default"><?php echo __('Passo 2/4', 'pgc'); ?></span></h2>
                        <p><?php echo __('Você pode cadastrar manualmente ou tem a opção de enviar um arquivo excel se utilizar nosso site', 'pgc'); ?></p>
                        <div class="content">
                            <div class="row">
                                <div class="col-md-12">
                                    <div id="envio_manual">
                                        <form id="form-manual-aluno" onsubmit="return false">
                                            <p><?php echo __('Para incluir manualmente, escreva os nomes dos participantes/alunos no campo abaixo (um por linha)', 'pgc'); ?></p>
											<a class="small" href="#" onclick="alert('Você pode gerenciar suas variáveis apenas acessando o site gerarcertificado.com.br (Este recurso está disponível apenas para assinaturas mensais)');">Sentiu falta de algum outro campo? Crie variáveis customizadas.</a>
                                            <div id="dados">
                                                <div class="dados">
													<div class="campos">
														<input type="text" class="form-control" name="nome" placeholder="<?php echo __('Nome completo', 'pgc'); ?>" onblur="atualizarAlunosManualmente();"/>
														<input type="email" class="form-control" name="email" placeholder="<?php echo __('E-mail (opcional)', 'pgc'); ?>" onfocus="addLinhaCadastroManual(false);" onblur="atualizarAlunosManualmente();"/>
													</div>
                                                    <div class="acoes">
                                                        <button type="button" class="btn btn-danger remove" onclick="removeLinhaCadastroManual(jQuery(this));" style="display: none;">
                                                        <span class="dashicons dashicons-minus"></span>
                                                        </button>
                                                        <button type="button" class="btn btn-success add" onclick="addLinhaCadastroManual(true);">
                                                            <span class="dashicons dashicons-plus-alt2"></span>
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </form>
                                    </div>                                                                
                                </div>
                            </div>
                        </div>
                        <div class="acoes">
                            <a class="btn btn-lg btn-outline-primary" onclick="selecionaPasso(1)">
                                <span class="dashicons dashicons-arrow-left-alt2"></span> <?php echo __('Passo anterior', 'pgc'); ?>
                            </a>
                            <a class="btn btn-lg btn-primary btn-to-3 desabilitado">
                                <?php echo __('Próximo passo', 'pgc'); ?> <span class="dashicons dashicons-arrow-right-alt2"></span>
                            </a>
                        </div>
                    </div>
                </div>
                <div id="aba-3" class="row aba">
                    <div class="col-md-12">
                        <h2><?php echo __('Preencha os dados do curso', 'pgc'); ?> <span class="label label-default"><?php echo __('Passo 3/4', 'pgc'); ?></span></h2>
                        <p><?php echo __('Estes dados servirão para preencher o seu modelo de certificado escolhido na etapa 1', 'pgc'); ?></p>
                        <div class="content">
                            <div id="dados-curso">
                                <form id="form-dados-curso" onsubmit="return false">
                                    <div class="form-group">
                                        <label for="curso"><?php echo __('Título do curso ou palestra', 'pgc'); ?></label>
                                        <input type="text" class="form-control" id="curso" name="curso" onblur="verificaDadosCurso()">                                    
                                        <p class="small"><?php echo __('Exemplo: Palestra para a construção civil', 'pgc'); ?></p>
                                    </div>
                                    <div class="form-group">
                                        <label for="palestrante"><?php echo __('Nome do professor, instrutor ou palestrante (opcional)', 'pgc'); ?></label>
                                        <input type="text" class="form-control" id="palestrante" name="palestrante" onblur="verificaDadosCurso()">
                                        <p class="small"><?php echo __('Exemplo: Pedro Paulo', 'pgc'); ?></p>
                                    </div>
                                    <div class="form-group">
                                        <label for="data"><?php echo __('Realizado(a)', 'pgc'); ?></label>
                                        <input type="text" class="form-control" id="data" name="data" onblur="verificaDadosCurso()">
                                        <p class="small"><?php echo __('Exemplo: em 14 de agosto de 2020', 'pgc'); ?></p>
                                    </div>
                                    <div class="form-group">
                                        <label for="local"><?php echo __('Cidade ou local da realização (opcional)', 'pgc'); ?></label>
                                        <input type="text" class="form-control" id="local" name="local" onblur="verificaDadosCurso()">
                                        <p class="small"><?php echo __('Exemplo: Florianópolis/SC', 'pgc'); ?></p>
                                    </div>
                                    <div class="form-group">
                                        <label for="carga-horaria"><?php echo __('Carga horária', 'pgc'); ?></label>
                                        <input type="text" class="form-control" id="carga-horaria" name="carga-horaria" onblur="verificaDadosCurso()">
                                        <p class="small"><?php echo __('Exemplo: 12 horas', 'pgc'); ?></p>
                                    </div>
                                </form>
                                <div id="form-verso" onsubmit="return false">
                                    <h2><?php echo __('Conteúdo programático (Verso do certificado)', 'pgc'); ?></h2>
                                    <p id="verso-desabilitado"><?php echo __('Este recurso está desabilitado, mas você pode habilitá-lo no painel ', 'pgc'); ?><a href="https://gerarcertificado.com.br/minha-conta.php" target="_blank"><?php echo __('Minha conta', 'pgc'); ?></a></p>
                                    <div id="alert-muitos-programas" class="alert alert-danger" role="alert" style="display: none;">
                                        <?php echo __('Atenção: você não pode informar mais de 28 itens para o verso do certificado.', 'pgc'); ?>
                                    </div>
                                    <form id="form-manual-programacao" onsubmit="return false" style="display: none;">
                                        <p><?php echo __('Para incluir manualmente, escreva os títulos dos programas/matérias no campo abaixo (um por linha)', 'pgc'); ?></p>
                                        <div id="dados">
                                            <div class="dados">
                                                <input type="text" class="form-control" name="texto" placeholder="<?php echo __('Título do programa/matéria', 'pgc'); ?>" onblur="atualizarProgramacaoManualmente();"/>
                                                <div class="acoes">
                                                    <button type="button" class="btn btn-danger remove" onclick="removeLinhaCadastroManualProgramacao(jQuery(this));" style="display: none;">
                                                    <span class="dashicons dashicons-minus"></span>
                                                    </button>
                                                    <button type="button" class="btn btn-success add" onclick="addLinhaCadastroManualProgramacao(true);">
                                                        <span class="dashicons dashicons-plus-alt2"></span>
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <div class="acoes">
                            <a class="btn btn-lg btn-outline-primary" onclick="selecionaPasso(2)">
                                <span class="dashicons dashicons-arrow-left-alt2"></span> <?php echo __('Passo anterior', 'pgc'); ?>
                            </a>
                            <a id="btn-passo-final" class="btn btn-lg btn-primary btn-to-4 desabilitado">
                                <?php echo __('Passo final', 'pgc'); ?> <span class="dashicons dashicons-arrow-right-alt2"></span>
                            </a>
                        </div>
                    </div>
                </div>
                <div id="aba-4" class="row aba">
                    <div class="col-md-12">
                        <h2><?php echo __('Está pronto pra gerar os certificados!', 'pgc'); ?> <span class="label label-default"><?php echo __('Passo 4/4', 'pgc'); ?></span></h2>
                        <p><?php echo __('Confira sua lista de participantes/alunos.', 'pgc'); ?></p>
                        <p><?php echo __('Para o primeiro nome da lista você pode gerar um certificado de teste. Caso perceba que algo não tenha ficado como esperado, você ainda pode voltar aos passos anteriores.', 'pgc'); ?></p>
                        <p><?php echo __('Depois de tudo conferido basta marcar as ciências, clicar no botão para gerar todos os certificados e aguardar a emissão de todos.', 'pgc'); ?></p>
                        <p><?php echo __('Lembre-se: Cada certificado terá um código para que ele possa ser validado em nossa ferramenta. Ao validar será informado seu nome, e-mail e a data de emissão de cada certificado.', 'pgc'); ?></p>
                        <div class="content">
                            <div id="rodar-algoritmo">                                    
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th width="54px">#</th>
                                            <th><?php echo __('Nome', 'pgc'); ?></th>
                                            <th>
                                                <input type="checkbox" id="enviarTodos" checked="checked" onclick="selectEnviarTodosCertificados(jQuery(this))"> <?php echo __('Enviar automaticamente', 'pgc'); ?>
                                            </th>
                                        </tr>
                                    </thead>
                                    <tbody>                                    
                                        <tr class="creditos">
                                            <td colspan="3">
                                                <p id="qtdCreditosAUtilizar-emissao" class="small">
                                                    <?php echo __('Total de', 'pgc'); ?> <strong><span>0</span> <?php echo __('créditos', 'pgc'); ?></strong> <?php echo __('serão utilizados nas emissões', 'pgc'); ?>
                                                </p>
                                                <p id="qtdCreditosAUtilizar-envio" class="small">
                                                    <?php echo __('Total de', 'pgc'); ?> <strong><span>0</span> <?php echo __('créditos', 'pgc'); ?></strong> <?php echo __('serão utilizados nos envios', 'pgc'); ?>
                                                </p>
                                            </td>
                                        </tr>
										<tr class="alerta franquia">
											<td colspan="3">
												<p id="franquiaAcabando" class="small">    
													<strong><?php echo __('O seu saldo atual de emissões de', 'pgc'); ?> <span class="emissoes-gratis">0</span> <?php echo __('será atingido nesta emissão (seu saldo atual até a próxima cobrança é de apenas', 'pgc'); ?> <span class="emissoes-restantes">0</span>).</strong> <?php echo __('Quando a próxima cobrança de sua assinatura ocorrer a sua franquia será renovada. Caso precise continuar emitindo certificados antes da próxima cobrança as respectivas emissões e envios serão descontados de seu saldo de créditos normalmente. A outra opção é ampliar sua assinatura', 'pgc'); ?> <a href="https://gerarcertificado.com.br/assinaturas-premium.php" target="_blank"><?php echo __('aqui', 'pgc'); ?></a>.
												</p>
												<p id="faltaFranquia" class="small">    
													<strong><?php echo __('O seu limite de emissões no mês foi atingido.', 'pgc'); ?></strong> <?php echo __('Quando a próxima cobrança de sua assinatura ocorrer sua franquia voltará a ser de', 'pgc'); ?> <span class="emissoes-gratis">0</span>. <?php echo __('Caso precise continuar emitindo certificados antes da próxima cobrança as respectivas emissões e envios serão descontados de seu saldo de créditos normalmente. A outra opção é ampliar sua assinatura', 'pgc'); ?> <a href="https://gerarcertificado.com.br/assinaturas-premium.php" target="_blank"><?php echo __('aqui', 'pgc'); ?></a>.
												</p>
											</td>
										</tr>
                                        <tr class="alerta avulso">
                                            <td colspan="3">
                                                <p id="faltaCreditos" class="small">    
                                                    <?php echo __('O seu saldo atual de créditos é de', 'pgc'); ?> <strong><span>0</span></strong>. <?php echo __('Compre mais créditos ou selecione menos e-mails para enviar automaticamente.', 'pgc'); ?><br><br>
                                                    <a class="btn btn-sm btn-outline-primary" onclick="jQuery('#enviarTodos')[0].click();"><?php echo __('Não desejo enviar por e-mail', 'pgc'); ?><a> <a class="btn btn-sm btn-primary" href="https://gerarcertificado.com.br/carrinho.php" target="_blank"><?php echo __('Comprar mais créditos', 'pgc'); ?><a>
                                                </p>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="ciencias">
                            <label>
                                <input id="ciencia-2" type="checkbox"> <strong><?php echo __('Estou ciente', 'pgc'); ?></strong> <?php echo __('que não devo fechar o navegador durante o processo de emissão', 'pgc'); ?></strong>
                            </label><br/>
                            <label>
                                <input id="ciencia-1" type="checkbox"> <strong><?php echo __('Estou ciente', 'pgc'); ?></strong> <?php echo __('que ao iniciar o processo de emissão não poderei mais alterar qualquer dado para este grupo de alunos', 'pgc'); ?></strong>
                            </label>                        
                        </div>
                        <div class="acoes">                        
                            <a class="btn btn-lg btn-outline-primary" onclick="selecionaPasso(3)">
                                <span class="dashicons dashicons-arrow-left-alt2"></span> <?php echo __('Passo anterior', 'pgc'); ?>
                            </a>
                            <a id="btn-gerar-todos" class="btn btn-lg btn-primary desabilitado" onclick="iniciarGerarEmLote('wp')">
                                <span class="dashicons dashicons-awards"></span> <?php echo __('Gerar todos certificados', 'pgc'); ?>
                            </a>
                        </div>
                    </div>
                </div>
                <div id="aba-5" class="row aba">
                    <div class="col-md-12">
                        <h2><?php echo __('Obrigado por utilizar a ferramenta!', 'pgc'); ?></h2>
                        <p><?php echo __('Agora você pode fazer o download de cada certificado individualmente e salvar em seu dispositivo.', 'pgc'); ?></p>
                        <p><?php echo __('Caso tenha optado pelo envio automático por e-mail, o(s) mesmo(s) já encontram-se na fila para envio. Após fazer o download abaixo, acompanhe o envio através do seu histórico de uso na sessão Minha conta', 'pgc'); ?></p>
                        <div class="content">
                            <div id="sucesso">                                    
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th width="54px">#</th>
                                            <th><?php echo __('Nome', 'pgc'); ?></th>
                                            <th><?php echo __('Certificado', 'pgc'); ?></th>
                                        </tr>
                                    </thead>
                                    <tbody></tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-3">
            <div class="head">
                <a href="https://gerarcertificado.com.br" target="_blank">
                    <img class="pgc-logo" src="<?php echo plugins_url( 'images/logo.png', __FILE__ ); ?>"/>
                </a>
            </div>
            <div id="sua-conta">
                <h1><?php echo __('Detalhes de sua conta', 'pgc'); ?></h1>
				<div id="dados-sem-assinatura">
					<p>
						<?php echo __('Seu saldo de créditos:', 'pgc'); ?> <span class="saldo"></span>
					</p>
					<a class="btn btn-primary btn-block" href="https://gerarcertificado.com.br/carrinho.php" target="_blank"><span class="dashicons dashicons-plus-alt"></span> <?php echo __('Comprar mais créditos', 'pgc'); ?></a>
				</div>
				<div id="dados-com-assinatura">
					<p>
						<?php echo __('Créditos da franquia:', 'pgc'); ?> <span class="saldo-assinatura"></span>
					</p>
					<a class="btn btn-secondary btn-block" href="https://gerarcertificado.com.br/assinaturas-premium.php" target="_blank"><span class="dashicons dashicons-plus-alt"></span> <?php echo __('Ampliar assinatura', 'pgc'); ?></a>
					<p>
						<?php echo __('Seu saldo de créditos:', 'pgc'); ?> <span class="saldo"></span>
					</p>
					<a class="btn btn-primary btn-block" href="https://gerarcertificado.com.br/carrinho.php" target="_blank"><span class="dashicons dashicons-plus-alt"></span> <?php echo __('Comprar mais créditos', 'pgc'); ?></a>
				</div>
                <hr/>
                <div class="d-grid gap-2">
                    <a class="btn btn-sm btn-outline-secondary btn-block" href="https://gerarcertificado.com.br/minha-conta.php" target="_blank"><span class="dashicons dashicons-admin-generic"></span> <?php echo __('Alterar dados da conta ou senha', 'pgc'); ?></a>
                    <a class="btn btn-sm btn-outline-secondary btn-block" href="https://gerarcertificado.com.br/minha-conta-historico.php" target="_blank"><span class="dashicons dashicons-backup"></span> <?php echo __('Consultar o histórico de emissões', 'pgc'); ?></a>
                    <a class="btn btn-sm btn-outline-secondary btn-block" href="#" onclick="logout()"><span class="dashicons dashicons-exit"></span> <?php echo __('Logout (sair)', 'pgc'); ?></a>
                </div>
                <hr/>
                <h4><?php echo __('Recursos adicionais', 'pgc'); ?></h4>
                <div class="d-grid gap-2">
                    <a class="btn btn-sm btn-outline-secondary btn-block" href="https://gerarcertificado.com.br/carrinho-modelo-certificado.php" target="_blank"><?php echo __('Solicitar modelo personalizado', 'pgc'); ?></a>
                    <a id="btn-verso" class="btn btn-sm btn-outline-secondary btn-block" href="https://gerarcertificado.com.br/minha-conta.php#anuncio-verso" target="_blank"><?php echo __('Habilitar verso do certificado', 'pgc'); ?></a>
                    <a id="btn-qr-code" class="btn btn-sm btn-outline-secondary btn-block" href="https://gerarcertificado.com.br/minha-conta.php#anuncio-cod-validacao" target="_blank"><?php echo __('Remover código de validação', 'pgc'); ?></a>
                    <a id="btn-validacao-externa" class="btn btn-sm btn-outline-secondary btn-block" href="https://gerarcertificado.com.br/carrinho-validacao-externa.php" target="_blank"><?php echo __('Obter código de validação externo', 'pgc'); ?></a>
                </div>
            </div>
        </div>
    </div>    

    <div id="myModal" class="modal fade" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"></h5>
                    <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form id="form-modelo" method="POST">
                        <input type="hidden" class="margem_superior" name="margem_superior"/>
                        <input type="hidden" class="margem_esquerda" name="margem_esquerda"/>
                        <input type="hidden" class="margem_direita" name="margem_direita"/>
                        <div class="form-group">
                            <label for="nome"><?php echo __('Título do modelo', 'pgc'); ?></label>
                            <input type="text" class="form-control nome" name="nome">
                        </div>
                        <div class="row">    
                            <div class="col col-md-3">
                                <div class="form-group">
                                    <label for="cor"><?php echo __('Cor dos textos', 'pgc'); ?></label>
                                    <input type="color" class="form-control cor" name="cor" onchange="alteraCorTexto()">
                                </div>
                            </div>
                            <div class="col col-md-9">
                                <div class="form-group">
                                    <label for="cor"><?php echo __('Alinhamento', 'pgc'); ?></label>
                                    <select class="form-control alinhamento" name="alinhamento" onchange="alteraAlinhamentoTexto()">
                                        <option value="left"><?php echo __('Esquerda', 'pgc'); ?></option>
                                        <option value="center"><?php echo __('Centralizado', 'pgc'); ?></option>
                                        <option value="right"><?php echo __('Direita', 'pgc'); ?></option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label><?php echo __('Posição dos textos', 'pgc'); ?></label>
                            <div class="modelo-simulado frente">
                                <img class="img-modelo" src=""/>
                                <div class="texto-modelo-simulado">
                                    <div class="texto"></div>
                                    <div class="controles">
                                        <div class="controle up">
                                            <a class="btn btn-outline-primary" onclick="moverTextos('up')">
                                                <span class="dashicons dashicons-arrow-up-alt"></span>
                                            </a>
                                        </div>
                                        <div class="controle right" onclick="moverTextos('right')">
                                            <a class="btn btn-outline-primary">
                                                <span class="dashicons dashicons-arrow-right-alt"></span>
                                            </a>
                                        </div>
                                        <div class="controle down" onclick="moverTextos('down')">
                                            <a class="btn btn-outline-primary">
                                                <span class="dashicons dashicons-arrow-down-alt"></span>
                                            </a>
                                        </div>
                                        <div class="controle left" onclick="moverTextos('left')">
                                            <a class="btn btn-outline-primary">
                                                <span class="dashicons dashicons-arrow-left-alt"></span>
                                            </a>
                                        </div>
                                    </div>                    
                                </div>
                                <img class="simula-validade paisagem" style="display: none;" src="<?php echo plugins_url( 'images/img-simulado-validade-paisagem.png', __FILE__ ); ?>"/> 
                                <img class="simula-validade retrato" style="display: none;" src="<?php echo plugins_url( 'images/img-simulado-validade-retrato.png', __FILE__ ); ?>"/>   
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="texto">Texto personalizado</label>
                            <textarea class="form-control texto" name="texto" style="height: 260px" onkeyup="alteraTexto()"></textarea>
                            <p class="small variaveis">
								<?php echo __('Você pode utilizar em seu texto personalizado as variáveis: [NOME_PARTICIPANTE_ALUNO], [NOME_PALESTRA_CURSO], [NOME_PALESTRANTE_PROFESSOR], [DATA_PALESTRA_CURSO], [LOCAL_REALIZACAO], [CARGA_HORARIA] e [DATA_EMISSAO_CERTIFICADO]', 'pgc'); ?>
								<br/>
								<a href="#" onclick="alert('<?php echo __('Você pode gerenciar suas variáveis apenas acessando o site gerarcertificado.com.br. (Este recurso está disponível apenas para assinaturas mensais)', 'pgc'); ?>');">Gerenciar variáveis</a>
							</p>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-outline-primary" data-bs-dismiss="modal" aria-label="Close"><?php echo __('Cancelar', 'pgc'); ?></button>
                    <button id="salvar" type="button" class="btn btn-primary"><?php echo __('Salvar', 'pgc'); ?></button>
                </div>
            </div>
        </div>
    </div>
	
	<div id="myModal-avancado" class="modal fade" tabindex="-1" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered modal-xl" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title"></h5>
				<button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<div class="form-modelo" method="POST">
					<input type="hidden" class="margem_superior" name="margem_superior"/>
					<input type="hidden" class="margem_esquerda" name="margem_esquerda"/>
					<input type="hidden" class="margem_direita" name="margem_direita"/>
					<div class="row">  
						<div class="col col-md-6 col-frente-verso">
							<div class="form-group">
								<label for="nome"><?php echo __('Título do modelo', 'pgc'); ?></label>
								<input type="text" class="form-control nome" name="nome">
							</div>
						</div>
					</div>
					<div class="row">
						<div class="col col-md-6 col-frente-verso">
							<div class="pag-pdf">
								<h4><?php echo __('Configuração da frente do documento', 'pgc'); ?></h4>
								<div class="row">    
									<div class="col col-md-3">
										<div class="form-group">
											<label for="cor"><?php echo __('Cor dos textos', 'pgc'); ?></label>
											<input type="color" class="form-control cor" name="cor" onchange="alteraCorTexto()">
										</div>
									</div>
									<div class="col col-md-4">
										<div class="form-group">
											<label for="cor"><?php echo __('Alinhamento', 'pgc'); ?></label>
											<select class="form-control alinhamento" name="alinhamento" onchange="alteraAlinhamentoTexto()">
												<option value="left"><?php echo __('Esquerda', 'pgc'); ?></option>
												<option value="center"><?php echo __('Centralizado', 'pgc'); ?></option>
												<option value="right"><?php echo __('Direita', 'pgc'); ?></option>
											</select>
										</div>
									</div>
									<div class="col col-md-5">
										<div class="form-group">
											<label for="cor"><?php echo __('Fonte (nome do aluno)', 'pgc'); ?></label>
											<select class="form-control fonte" name="fonte" onchange="alteraFonte();">
												<option value="Roboto"><?php echo __('Roboto', 'pgc'); ?></option>
												<option value="Merriweather"><?php echo __('Merriweather', 'pgc'); ?></option>
												<option value="alexbrush"><?php echo __('Alex Brush', 'pgc'); ?></option>
												<option value="greatvibes"><?php echo __('Great Vibes', 'pgc'); ?></option>
												<option value="pacifico"><?php echo __('Pacifico', 'pgc'); ?></option>
												<option value="lobster"><?php echo __('Lobster', 'pgc'); ?></option>
											</select>
										</div>
									</div>
								</div>
								<div class="form-group">
									<label><?php echo __('Posição dos textos', 'pgc'); ?></label>
									<div class="superficie">
										<div class="modelo-simulado frente">
											<img class="img-modelo" src=""/>
											<div class="texto-modelo-simulado">
												<div class="texto"></div>
												<div class="controles">
													<div class="controle up">
														<a class="btn btn-outline-primary" onclick="moverTextos('up')">
															<span class="dashicons dashicons-arrow-up-alt"></span>
														</a>
													</div>
													<div class="controle right" onclick="moverTextos('right')">
														<a class="btn btn-outline-primary">
															<span class="dashicons dashicons-arrow-right-alt"></span>
														</a>
													</div>
													<div class="controle down" onclick="moverTextos('down')">
														<a class="btn btn-outline-primary">
															<span class="dashicons dashicons-arrow-down-alt"></span>
														</a>
													</div>
													<div class="controle left" onclick="moverTextos('left')">
														<a class="btn btn-outline-primary">
															<span class="dashicons dashicons-arrow-left-alt"></span>
														</a>
													</div>
												</div>                    
											</div>
											<img class="simula-validade paisagem" style="display: none;" src="<?php echo plugins_url( 'images/img-simulado-validade-paisagem.png', __FILE__ ); ?>"/> 
											<img class="simula-validade retrato" style="display: none;" src="<?php echo plugins_url( 'images/img-simulado-validade-retrato.png', __FILE__ ); ?>"/>  
										</div>
									</div>
								</div>
								<div class="form-group">
									<label for="texto"><?php echo __('Texto personalizado', 'pgc'); ?></label>
									<textarea class="form-control texto" name="texto" style="height: 260px" onkeyup="alteraTexto()"></textarea>
									<p class="small variaveis">
										<?php echo __('Você pode utilizar em seu texto personalizado as variáveis: [NOME_PARTICIPANTE_ALUNO], [NOME_PALESTRA_CURSO], [NOME_PALESTRANTE_PROFESSOR], [DATA_PALESTRA_CURSO], [LOCAL_REALIZACAO], [CARGA_HORARIA] e [DATA_EMISSAO_CERTIFICADO]', 'pgc'); ?>
									</p>
								</div>
							</div>
						</div>
						<div class="col col-md-6 col-frente-verso">
							<div class="pag-pdf">
								<h4><?php echo __('Configuração do verso do documento', 'pgc'); ?>*</h4>
								<div class="row">    
									<div class="col col-md-4">
										<div class="form-group">
											<label for="cor"><?php echo __('Cor dos textos', 'pgc'); ?></label>
											<input type="color" class="form-control corTextoVerso" name="corTextoVerso" onchange="alteraCorTextoVerso()">
										</div>
									</div>
									<div class="col col-md-4 comImgVerso">
										<div class="form-group">
											<a class="btn btn-outline-secondary btn-block btn-cadastro-modelo-verso" id="btn-add-img-verso" onclick="informarCadastroModeloVerso();"><?php echo __('Substituir imagem', 'pgc'); ?></a>
										</div>
									</div>
									<div class="col col-md-4 comImgVerso">
										<div class="form-group">
											<a class="btn btn-outline-secondary btn-block btn-cadastro-modelo-verso" id="btn-remove-img-verso"><?php echo __('Remover imagem', 'pgc'); ?></a>
										</div>
									</div>
									<div class="col col-md-4 semImgVerso">
										<div class="form-group">
											<label for="cor"><?php echo __('Cor do fundo', 'pgc'); ?></label>
											<input type="color" class="form-control corFundoVerso" name="corFundoVerso" onchange="alteraCorFundoVerso()">
										</div>
									</div>
									<div class="col col-md-4 semImgVerso">
										<div class="form-group">
											<a class="btn btn-outline-secondary btn-block btn-cadastro-modelo-verso" onclick="informarCadastroModeloVerso();"><?php echo __('Enviar imagem', 'pgc'); ?></a>
										</div>
									</div>
								</div>
								<div class="row">    
									<div class="col col-md-12">                            
										<form id="form-modelo-verso" enctype="multipart/form-data" method="POST" onsubmit="return false">
											<p>
												<strong><?php echo __('', 'pgc'); ?>Você pode enviar qualquer imagem para o verso, mas atenção às especificações técnicas:</strong>
												<ul>
													<li><?php echo __('', 'pgc'); ?>O arquivo deve ser enviado em formato <strong>jpg</strong>;</li>
													<li><?php echo __('', 'pgc'); ?>O arquivo deve ter no máximo <strong>250kb</strong>;</li>
													<li><?php echo __('', 'pgc'); ?>Tamanho de <strong>1811x1299px</strong> (paisagem) ou <strong>1299x1811px</strong> (retrato). Este é o tamanho recomendável para que seu certificado A4 fique melhor configurado;</li>
													<li><?php echo __('', 'pgc'); ?>Caso deseje <strong>incluir logo e assinatura</strong> no verso, as mesmas devem fazer parte da imagem que você vai enviar.</li>
												</ul>
											</p>
											<div id="file-form-verso" class="form-group">
												<input id="input-form-modelo-verso" class="fileupload" name="arquivo" type="file"/>
											</div>
											<input class="btn btn-primary" type="submit" value="Enviar imagem do verso"/>
										</form>
									</div>
								</div>     
								<div class="form-group">
									<label><?php echo __('Visualização dos textos', 'pgc'); ?></label>
									<div class="superficie">
										<div class="modelo-simulado verso">
											<img class="img-modelo-verso" src=""/>
											<div class="textos-verso">
												<div class="texto-simulado programa">
													<div class="texto">
														<h5><?php echo __('Conteúdo programático', 'pgc'); ?></h5>
														<br/>
														<div class="row">
															<div class="col-6">
																<ul><li>Título da matéria 1</li><li>Título da matéria 2</li><li>Título da matéria 3</li><li>Título da matéria 4</li><li>Título da matéria 5</li><li>Título da matéria 6</li><li>Título da matéria 7</li><li>Título da matéria 8</li><li>Título da matéria 9</li><li>Título da matéria 10</li><li>Título da matéria 11</li><li>Título da matéria 12</li><li>Título da matéria 13</li><li>Título da matéria 14</li></ul>
															</div>
															<div class="col-6">
																<ul><li>Título da matéria 15</li><li>Título da matéria 16</li><li>Título da matéria 17</li><li>Título da matéria 18</li><li>Título da matéria 19</li><li>Título da matéria 20</li><li>Título da matéria 21</li><li>Título da matéria 22</li><li>Título da matéria 23</li><li>Título da matéria 24</li><li>Título da matéria 25</li><li>Título da matéria 26</li><li>Título da matéria 27</li><li>Título da matéria 28</li></ul>
															</div>
														</div>
													</div>                    
												</div>
												<div class="texto-simulado">
													<div class="texto"></div>                    
												</div>
											</div>
											<img class="simula-validade paisagem" style="display: none;" src="<?php echo plugins_url( 'images/img-simulado-validade-paisagem-verso.png', __FILE__ ); ?>"/> 
											<img class="simula-validade retrato" style="display: none;" src="<?php echo plugins_url( 'images/img-simulado-validade-retrato-verso.png', __FILE__ ); ?>"/> 
										</div>
									</div>
								</div>    
								<div class="form-group">
									<label for="texto_verso"><?php echo __('Texto personalizado', 'pgc'); ?></label>
									<textarea class="form-control texto_verso" name="texto_verso" style="height: 260px" onkeyup="alteraTextoVerso()"></textarea>
									<p class="small variaveis">
										<?php echo __('Você pode utilizar em seu texto personalizado as variáveis: [NOME_PARTICIPANTE_ALUNO], [NOME_PALESTRA_CURSO], [NOME_PALESTRANTE_PROFESSOR], [DATA_PALESTRA_CURSO], [LOCAL_REALIZACAO], [CARGA_HORARIA] e [DATA_EMISSAO_CERTIFICADO]', 'pgc'); ?>
									</p>
								</div>
								<p class="small">*<?php echo __('O verso é emitido somente se houver conteúdo programático configurado na emissão ou se optar pelo verso em branco no passo 3.', 'pgc'); ?></p>
							</div>				
						</div>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-outline-primary" data-bs-dismiss="modal" aria-label="Close"><?php echo __('Cancelar', 'pgc'); ?></button>
				<button id="salvar" type="button" class="btn btn-primary"><?php echo __('Salvar', 'pgc'); ?></button>
			</div>
		</div>
		</div>
	</div>
    
</div>

<script><?php include 'vendor/bootstrap.min.js'; ?></script>
<script><?php include 'js/pgc-aplicacao.js'; ?></script>
<script>
    jQuery(window).ready(function(){
        initAplicacao();
    });
</script>    